#include "helper.h"

constexpr int kMaxX = 1'000'000'000;

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);

    int n = opt<int>("n");
    int g = opt<int>("g");

    auto poly = random_polygon(n, kMaxX);
    shuffle(poly.begin(), poly.end());
    println(n, g);
    for (int i = 0; i < n; i++) {
        println(poly[i].x, poly[i].y);
    }

    return 0;
}